Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class AccessLevel

    java.lang.Object
      com.plumtree.remote.prc.AccessLevel

public class AccessLevel
extends java.lang.Object

An enumerated type describing the various security access levels available within the portal. Each access level's granted permissions are a strict subset of less restrictive access levels' permissions i.e. ADMIN > EDIT > SELECT > READ.

Field Summary
`static AccessLevel` | `ADMIN` Allows full control of the object.
`static AccessLevel` | `EDIT` Allows viewing and editing properties of the object.
`static AccessLevel` | `READ` Allows viewing of the object.
`static AccessLevel` | `SELECT` Allows viewing and selecting the object (i.e.

Method Summary
`boolean` | `allows(AccessLevel accessLevel)`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### READ

    public static AccessLevel READ

  Allows viewing of the object.

### SELECT

    public static AccessLevel SELECT

  Allows viewing and selecting the object (i.e. joining a community, placing a portlet on a mypage etc.).

### EDIT

    public static AccessLevel EDIT

  Allows viewing and editing properties of the object.

### ADMIN

    public static AccessLevel ADMIN

  Allows full control of the object.

Method Detail

### allows

    public boolean allows(AccessLevel accessLevel)

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.